=== debian/changelog ===
heimer (1.19+git20200819-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 30 Aug 2020 02:29:37 -0400
