## heimer 1.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # Global version
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 19)
+set(VERSION_MINOR 20)
 set(VERSION_PATCH 0)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
