=== debian/changelog ===
heimer (1.20.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 07 Oct 2020 17:31:50 -0400
