=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     application.cpp
     constants.hpp
     copy_paste.cpp
+    defaults.cpp
+    defaults_dlg.cpp
     edge.cpp
     edge_context_menu.cpp
     edge_dot.cpp
