=== debian/changelog ===
heimer (1.21.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 26 Oct 2020 13:57:10 -0400
