## heimer 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 endif()
 
 # Global version
-set(VERSION_MAJOR 1)
-set(VERSION_MINOR 21)
+set(VERSION_MAJOR 2)
+set(VERSION_MINOR 1)
 set(VERSION_PATCH 0)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
