=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
     alz_serializer.cpp
     application.cpp
     constants.hpp
-    copy_paste.cpp
     defaults.cpp
     defaults_dlg.cpp
     edge.cpp
@@ -49,6 +48,7 @@
     mind_map_data_base.cpp
     mouse_action.cpp
     node.cpp
+    node_action.hpp
     node_handle.cpp
     png_export_dialog.cpp
     recent_files_manager.cpp
