=== debian/changelog ===
heimer (2.1.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 07 Jan 2021 01:48:38 -0500
