=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,9 +82,16 @@
     ${CMAKE_BINARY_DIR}/data/translations/translations.qrc
 )
 
-qt5_add_resources(RC_SRC ${RCS})
-qt5_add_translation(QM ${TS_FILES})
-qt5_wrap_ui(UI_HDRS ${UIS})
+if(${QT_VERSION_MAJOR} STREQUAL "6")
+    qt_add_resources(RC_SRC ${RCS})
+    qt_add_translation(QM ${TS_FILES})
+    qt_wrap_ui(UI_HDRS ${UIS})
+# This is needed for Qt < 5.15
+else()
+    qt5_add_resources(RC_SRC ${RCS})
+    qt5_add_translation(QM ${TS_FILES})
+    qt5_wrap_ui(UI_HDRS ${UIS})
+endif()
 
 # We need this to be able to include headers produced by uic in our code
 include_directories(${CMAKE_BINARY_DIR})
@@ -116,9 +123,9 @@
 
 # Add the library
 add_library(${LIBRARY_NAME} STATIC ${LIB_SRC} ${MOC_SRC} ${RC_SRC} ${UI_HDRS} ${QM})
-target_link_libraries(${LIBRARY_NAME} Qt5::Widgets Qt5::Svg Qt5::Xml SimpleLogger_static Argengine_static)
+target_link_libraries(${LIBRARY_NAME} Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Svg Qt${QT_VERSION_MAJOR}::Xml SimpleLogger_static Argengine_static)
 
 # Add the executable
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 add_executable(${BINARY_NAME} WIN32 ${APP_SRC} ${MOC_SRC} ${RC_SRC} ${UI_HDRS} ${QM})
-target_link_libraries(${BINARY_NAME} Qt5::Widgets ${LIBRARY_NAME})
+target_link_libraries(${BINARY_NAME} Qt${QT_VERSION_MAJOR}::Widgets ${LIBRARY_NAME})
