=== debian/changelog ===
heimer (2.4.0+github20210412-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Apr 2021 12:14:17 -0400
