## heimer 2.5.0+git20210501

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # Global version
 set(VERSION_MAJOR 2)
-set(VERSION_MINOR 4)
+set(VERSION_MINOR 5)
 set(VERSION_PATCH 0)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
