=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,14 +19,15 @@
     about_dlg.cpp
     alz_serializer.cpp
     application.cpp
+    color_dialog.cpp
     constants.hpp
-    defaults.cpp
-    defaults_dlg.cpp
+    defaults_tab.cpp
     edge.cpp
     edge_context_menu.cpp
     edge_dot.cpp
     edge_point.hpp
     edge_text_edit.cpp
+    editing_tab.cpp
     editor_data.cpp
     editor_scene.cpp
     editor_view.cpp
@@ -55,6 +56,8 @@
     recent_files_menu.cpp
     selection_group.cpp
     settings.cpp
+    settings_dialog.cpp
+    settings_proxy.cpp
     state_machine.cpp
     svg_export_dialog.cpp
     test_mode.cpp
@@ -62,6 +65,7 @@
     undo_stack.cpp
     user_exception.hpp
     whats_new_dlg.cpp
+    widget_factory.cpp
     xml_reader.cpp
     xml_writer.cpp
 )
