=== src/unit_tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../contrib/SimpleLogger/src)

add_subdirectory(editor_data_test)
add_subdirectory(graph_test)
add_subdirectory(layout_optimizer_test)
add_subdirectory(serializer_test)
