=== src/unit_tests/layout_optimizer_test/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/unit_tests)
 add_executable(${NAME} ${SRC} ${MOC_SRC})
 add_test(${NAME} ${CMAKE_BINARY_DIR}/unit_tests/${NAME})
-target_link_libraries(${NAME} ${LIBRARY_NAME} Qt5::Test Qt5::Xml Qt5::Widgets SimpleLogger_static)
+target_link_libraries(${NAME} ${LIBRARY_NAME} Qt${QT_VERSION_MAJOR}::Test Qt${QT_VERSION_MAJOR}::Xml Qt${QT_VERSION_MAJOR}::Widgets SimpleLogger_static)
