=== debian/changelog ===
heimer (2.5.0+git20210501-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 04 May 2021 16:05:21 -0400
