=== debian/control ===
Source: heimer
Section: education
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Jussi Lind <jussi.lind@iki.fi>
Build-Depends: cmake,
			   debhelper-compat (= 12),
			   pkg-config,
			   qt5-default,
			   qttools5-dev-tools,
			   qttools5-dev,
			   libqt5svg5-dev
Standards-Version: 4.5.0
Homepage: http://juzzlin.github.io/Heimer/index.html
Vcs-Git: git@github.com:juzzlin/Heimer.git

Package: heimer
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, hicolor-icon-theme
Description: An application for creating and managing mind maps
 Heimer is a desktop application for creating and managing mind maps and
  other suitable diagrams.
 .
 Heimer has the following features:
 - Adjustable grid
 - Automatic layout optimization
 - Export to PNG or SVG
 - Quickly add node text and edge labels
